%global debug_package %{nil}

Name: zola
Version: 0.13.0
Release: 1%{?dist}
Summary: Fast static site generator in a single binary with everything built-in

License: MIT
URL: https://github.com/getzola/zola
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
%if 0%{?el8}
%else
BuildRequires: cargo >= 1.40
BuildRequires: rust >= 1.40
%endif

%description
%{summary}.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%if 0%{?el8}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*

install -Dpm0644 completions/_zola %{buildroot}%{_datadir}/zsh/site-functions/_zola
install -Dpm0644 completions/zola.bash %{buildroot}%{_datadir}/bash-completion/completions/zola.bash
install -Dpm0644 completions/zola.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/zola.fish


%files
%license LICENSE
%doc README.md CHANGELOG.md EXAMPLES.md CONTRIBUTING.md
%{_bindir}/*
%{_datadir}/bash-completion/completions/zola.bash
%{_datadir}/fish/vendor_completions.d/zola.fish
%{_datadir}/zsh/site-functions/_zola


%changelog
* Sat Jan  9 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- build(update): 0.13.0

* Mon Sep 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.2-1
- Update to 0.12.2

* Sun Sep 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.1-1
- Update to 0.12.1

* Sat Sep  5 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Mon May 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Initial package
